function CstTimeDomainSolverEasy(fid,CCalculationType,CStimulationPort,...
    CStimulationMode,CSteadyStateLimit,CMeshAdaption,CAutoNormImpedance,...
    CNormingImpedance,CCalculateModesOnly,CSParaSymmetry,...
    CStoreTDResultsInCache,CFullDeembedding,CUseDistributedComputing)
global mws solver;



% Funkce CstTimeDomainSolverEasy(fid, CCalculationType, CStimulationPort,
% CStimulationMode, CSteadyStateLimit, CMeshAdaption, CAutoNormImpedance,
% CNormingImpedance, CCalculateModesOnly, CSParaSymmetry,
% CStoreTDResultsInCache, CFullDeembedding, CUseDistributedComputing) slouží
% k nastavení časové analýzy. Nemá návratovou hodnotu.

% Parametry funkce:

% fid – soubor identifikující historii CST skriptu.
% CCalculationType – definuje výpočetní analýzu.
% CStimulationPort – výběr portů, které budou použity pro vybuzení.
% CStimulationMode – výběr módu, který bude použit pro vybuzení.
% CSteadyStateLimit – definuje ustálený stav monitoru a ovlivňuje trvání simulace. Je to
% hodnota přesnosti frekvence signálu, které jsou vypočítány fourierovou transformací časového
% signálu.
% CMeshAdaption – jestli-že MeshAdaption je povoleno a rovná se „true“, pak proběhne
% několik simulací k nalezení optimálního namešování.
% CAutoNormImpedance – s-parametry jsou vždy normovány k referenci impedance.
% CNormingImpedance – reference impedance, která bude použita.
% CCalculateModesOnly – jestli-že flag je „true“, pak se při analýze počítají pouze módy
% portu.
% CSParaSymmetry – použití s-parametrové symetrie.
% CStoreTDResultsInCache – jestli-že flag je nastaven na „true“ uloží metoda výsledky
% časové analýzy do paměti.
% CFullDeembedding – typ zdroje je dán automaticky ke všem portům/ módům, jestli-že je
% nastaven „true“.
% CUseDistributedComputing – jestli-že je nastaven „true“, pak metoda umožňuje
% distribuovaný výpočet přes sít.

% Příklad použití funkce:

% fid = fopen('pokus.m', 'wt');
% ...
% CstTimeDomainSolverEasy(fid,'TD-S','All','All',-30,'False','False',
% 50,'False','False','False','False','False');
%



% Definovani solver parameteru
    fprintf(fid, '%% Define solver parameters\n');
    fprintf(fid, 'solver = mws.invoke(''Solver'');\n');
    fprintf(fid, ['solver.invoke(''CalculationType'',''',CCalculationType,''');\n']);
    fprintf(fid, ['solver.invoke(''StimulationPort'',''',CStimulationPort,''');\n']);
    fprintf(fid, ['solver.invoke(''StimulationMode'',''',CStimulationMode,''');\n']);
    fprintf(fid, ['solver.invoke(''SteadyStateLimit'',',num2str(CSteadyStateLimit),');\n']);
    fprintf(fid, ['solver.invoke(''MeshAdaption'',''',CMeshAdaption,''');\n']);
    fprintf(fid, ['solver.invoke(''AutoNormImpedance'',''',CAutoNormImpedance,''');\n']);
    fprintf(fid, ['solver.invoke(''NormingImpedance'',',num2str(CNormingImpedance),');\n']);
    fprintf(fid, ['solver.invoke(''CalculateModesOnly'',''',CCalculateModesOnly,''');\n']);
    fprintf(fid, ['solver.invoke(''SParaSymmetry'',''',CSParaSymmetry,''');\n']);
    fprintf(fid, ['solver.invoke(''StoreTDResultsInCache'',''',CStoreTDResultsInCache,''');\n']);
    fprintf(fid, ['solver.invoke(''FullDeembedding'',''',CFullDeembedding,''');\n']);
    fprintf(fid, ['solver.invoke(''UseDistributedComputing'',''',CUseDistributedComputing,''');\n\n']);


% Prime definovani solver parameteru v CST                                                     
    solver = mws.invoke('Solver');                                                    
    solver.invoke('CalculationType','TD-S');                                    
    solver.invoke('StimulationPort','All');                                     
    solver.invoke('StimulationMode','All');                                     
    solver.invoke('SteadyStateLimit',-30);                                      
    solver.invoke('MeshAdaption','False');                                      
    solver.invoke('AutoNormImpedance','False');                                 
    solver.invoke('NormingImpedance',50);                                       
    solver.invoke('CalculateModesOnly','False');                                
    solver.invoke('SParaSymmetry','False');                                     
    solver.invoke('StoreTDResultsInCache','False');                             
    solver.invoke('FullDeembedding','False');                                   
    solver.invoke('UseDistributedComputing','False');

end